be.cin.mycarenet._1_0.carenet.types

## Class Hospitalized

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.Hospitalized

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:58:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class Hospitalized
      extends Object
      implements Serializable

  Java class for HospitalizedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HospitalizedType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}Hospital"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}AdmissionDate" minOccurs="0"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}AdmissionService" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hospitalized()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getAdmissionDate()` The date the care receiver is admitted.
    `String` | `getAdmissionService()` The services that is provided by the hostital (indicated by the hospital element) to the care care receiver.
    `String` | `getHospital()` The hospital where the care receiver is admitted.
    `void` | `setAdmissionDate(org.joda.time.DateTime value)` Sets the value of the admissionDate property.
    `void` | `setAdmissionService(String value)` Sets the value of the admissionService property.
    `void` | `setHospital(String value)` Sets the value of the hospital property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hospitalized

          public Hospitalized()

  - ### Method Detail

    - #### getHospital

          public String getHospital()

      The hospital where the care receiver is admitted.
      Returns:
        possible object is `String`

    - #### setHospital

          public void setHospital(String value)

      Sets the value of the hospital property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdmissionDate

          public org.joda.time.DateTime getAdmissionDate()

      The date the care receiver is admitted.
      Returns:
        possible object is `String`

    - #### setAdmissionDate

          public void setAdmissionDate(org.joda.time.DateTime value)

      Sets the value of the admissionDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdmissionService

          public String getAdmissionService()

      The services that is provided by the hostital (indicated by the hospital element) to the care care receiver.
      Returns:
        possible object is `String`

    - #### setAdmissionService

          public void setAdmissionService(String value)

      Sets the value of the admissionService property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.